Package org.eclipse.birt.report.engine.api.script.instance

# Interface ILabelInstance

All Superinterfaces:
  `IReportElementInstance`, `IReportItemInstance`

public interface ILabelInstance extends IReportItemInstance

## Method Summary

Modifier and Type
Method
Description
`IActionInstance`
`createAction()`
Create a new action instance, witch can be bookmark, hyperlink or drillThrough.
`IActionInstance`
`getAction()`
Get the action instance.
`String`
`getText()`
Get the value
`String`
`getTextKey()`
Get the text key
`void`
`setAction(IActionInstance actionInstance)`
set the actionInstance
`void`
`setText(String value)`
Set the value
`void`
`setTextKey(String key)`
Set the text key

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportElementInstance

`getHeight, getHorizontalPosition, getNamedExpressionValue, getParent, getRowData, getStyle, getUserPropertyValue, getVerticalPosition, getWidth, setHeight, setHorizontalPosition, setUserPropertyValue, setVerticalPosition, setWidth`

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportItemInstance

`getHelpText, getHyperlink, getName, setHelpText, setName`

## Method Details

### getText

String getText()
Get the value

### setText

void setText(String value)
Set the value

### getTextKey

String getTextKey()
Get the text key

### setTextKey

void setTextKey(String key)
Set the text key

### createAction

IActionInstance createAction()
Create a new action instance, witch can be bookmark, hyperlink or drillThrough. The default action instance type is NULL.

### getAction

IActionInstance getAction()
Get the action instance.

### setAction

void setAction(IActionInstance actionInstance)
set the actionInstance

Parameters:
  `actionInstance` -